#!/software/bin/perl
#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       18 January 2010
# Last Modified: $Date: 2011-08-10 10:05:48 +0100 (Wed, 10 Aug 2011) $
# Id:            $Id: sam_header.pl 13877 2011-08-10 09:05:48Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-38.0/scripts/sam_header.pl $
#

#########################
# 
# 
##########################

use strict;
use warnings;
use lib qw(lib /software/solexa/lib/perl5);

use npg_common::sequence::SAM_Header;

use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$Revision: 13877 $ =~ /(\d+)/smx; $r; };

npg_common::sequence::SAM_Header->new_with_options()->process();

exit 0;

=head1 NAME

sam_hader.pl

=head1 VERSION

$LastChangedRevision: 13877 $

=head1 USAGE

cat 4395_1.sam | sam_header.pl --id_run 4465 --position 1 [--tag_index 1 --human_split human --no_alignment]
                               --bwa_cmd bwa --samtools_cmd samtools --bwa_options '-q 15 -n 2'
                               --picard_converter_cmd 'java -jar /path2jar/SamFormatConverter.jar ...'
                               --sam_index_tag_cmd ' ' 

=head1 CONFIGURATION

=head1 SYNOPSIS

=head1 DESCRIPTION

=head1 SUBROUTINES/METHODS

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item strict

=item warnings

=item npg_common::sequence::SAM_Header

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

Guoying Qi E<lt>gq1@sanger.ac.ukE<gt>

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2010 GRL, by Guoying Qi

This file is part of NPG.

NPG is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

=cut

