#########
# Author:        Marina Gourtovaia
# Maintainer:    $Author: ajb $
# Created:       12 January 2009
# Last Modified: $Date: 2011-08-10 10:05:48 +0100 (Wed, 10 Aug 2011) $
# Id:            $Id: 10-messages.t 13877 2011-08-10 09:05:48Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-38.0/t/10-messages.t $
#


use strict;
use warnings;
use Test::More tests => 6;
use Test::Exception;
use Carp;

use_ok('npg_common::messages');

{
  my $list = npg_common::messages->new();
  isa_ok($list, 'npg_common::messages', 'is test');
}

{
  my $l = npg_common::messages->new();
  my $message1 = q[first_message];
  lives_ok { $l->push($message1) } 'push to an empty list';
  my $message2 = q[second_message];
  lives_ok { $l->push($message2) } 'push to a non-empty list';
  is($l->count, 2, 'message count is 2');
  is(join(q[;], $l->messages()), (join q[;], $message1, $message2), 'all mesages retrieved');
}
