#########
# Author:        Marina Gourtovaia
# Maintainer:    $Author: ajb $
# Created:       21 June 2010
# Last Modified: $Date: 2011-08-10 10:05:48 +0100 (Wed, 10 Aug 2011) $
# Id:            $Id: 20-sequence-reference-find.t 13877 2011-08-10 09:05:48Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-38.0/t/20-sequence-reference-find.t $
#

package reference;

use strict;
use warnings;
use Test::More tests => 1;
use Test::Exception;
use File::Spec::Functions qw(catfile);
use Cwd qw(cwd);
use Moose::Meta::Class;

use st::api::sample;

my $repos = catfile(cwd, q[t/data/sequence]);

my $cache_var_name = q[NPG_WEBSERVICE_CACHE_DIR];
my $cache = q[t/data/sequence];
local $ENV{$cache_var_name} = $cache;

use_ok('npg_common::sequence::reference::roles::find');

{
  my $ruser = Moose::Meta::Class->create_anon_class(
          roles => [qw/npg_common::sequence::reference::roles::find/])
          ->new_object({ repository => $repos,});
}
